# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "paginator-axum"
version = "0.2.1"
authors = ["Maulana Sodiqin <sodiqincahyana1@gmail.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Axum web framework integration for paginator-rs"
readme = "README.md"
keywords = [
    "pagination",
    "axum",
    "web",
    "rest",
    "api",
]
categories = ["web-programming"]
license = "MIT"
repository = "https://github.com/maulanasdqn/paginator-rs"

[lib]
name = "paginator_axum"
path = "src/lib.rs"

[dependencies.async-trait]
version = "0.1"

[dependencies.axum]
version = "0.7"
features = [
    "json",
    "query",
]
default-features = false

[dependencies.http]
version = "1.0"

[dependencies.paginator-rs]
version = "0.2.1"

[dependencies.paginator-utils]
version = "0.2.1"

[dependencies.serde]
version = "1.0.219"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.140"

[dev-dependencies.tokio]
version = "1"
features = ["full"]
